@echo off
call dpbuddy tail -lines "-1"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy tail -domainPatterns "dpbuddy-.*, e2e.*"  -lines 100
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy tail -logTarget "default-log" -format "{1,date,yyyy-MM-dd HH:mm:ss} |{2}| {4,number,#} | {0}{3}"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy tail -lines "-1" -logFile "${java.io.tmpdir}/dp.log" -appendTimestamp
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy log -level info -category all  -message "Hello from DPBuddy"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy setLogLevel -level INFO
if %errorlevel% neq 0 (exit /b %errorlevel%)

